org.gitana.platform.services.node

## Class NodeBuilderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gitana.platform.services.node.NodeBuilderException

All Implemented Interfaces:
  Serializable

    public class NodeBuilderException
    extends RuntimeException

Author:
  uzi
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NodeBuilderException(String msg)`
`NodeBuilderException(String msg, Throwable cause)`
`NodeBuilderException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NodeBuilderException

    public NodeBuilderException(String msg)

#### NodeBuilderException

    public NodeBuilderException(String msg,
                                Throwable cause)

#### NodeBuilderException

    public NodeBuilderException(Throwable cause)